/*
 * Radio Group
 *
 * Index
 * - Radio Group
 * - Asterisk
 * - Error
 */

/**
 * Error message for inline radio can only
 * be provided by adding a class
 * .is-invalid on the .form-group of this radio
 */

/**
 * @prop --asterisk-color: color of the asterisk
 */

/* RADIO
 -------------------- */

:host {
  --asterisk-color: var(--road-on-surface);

  position: relative;
  display: block;
  margin-bottom: 1rem;
}


/* ASTERISK
-------------------- */

.asterisk {
  color: var(--asterisk-color);
}

/* ERROR
-------------------- */

:host(.is-invalid) .invalid-feedback {
  display: block;
}

.invalid-feedback {
  display: none;
  flex: 0 0 100%;
  width: 100%;
  margin: 0.5rem 0 0;
  font-size: var(--road-font-size-12);
  color: var(--road-on-danger-surface);
}

/* HELPER
 -------------------- */

.helper {
  margin-top: 0.5rem;
  font-size: var(--road-font-size-12);
  color: var(--road-on-surface-weak);
}
